graphlog: add test for filelog graph
authorSteve Borho <steve@borho.org>
Fri, 25 Jan 2008 10:35:04 -0600
changeset 5939 56e8a54bf71d
parent 5938 9ed100559851
child 5940 7b222815a462
graphlog: add test for filelog graph
tests/test-glog
tests/test-glog.out
--- a/tests/test-glog	Fri Jan 25 10:28:21 2008 -0600
+++ b/tests/test-glog	Fri Jan 25 10:35:04 2008 -0600
@@ -139,5 +139,8 @@
 echo % glog
 hg glog
 
+echo % file glog
+hg glog 5
+
 echo % unused arguments
-hg glog -q foo || echo failed
+hg glog -q foo bar || echo failed
--- a/tests/test-glog.out	Fri Jan 25 10:28:21 2008 -0600
+++ b/tests/test-glog.out	Fri Jan 25 10:35:04 2008 -0600
@@ -307,9 +307,17 @@
    date:        Thu Jan 01 00:00:00 1970 +0000
    summary:     (0) root
 
+% file glog
+o  changeset:   5:3589c3c477ab
+   parent:      3:02173ffbf857
+   parent:      4:e2cad8233c77
+   user:        test
+   date:        Thu Jan 01 00:00:05 1970 +0000
+   summary:     (5) expand
+
 % unused arguments
 hg glog: invalid arguments
-hg glog [OPTION]...
+hg glog [OPTION] [FILE]...
 
 show revision history alongside an ASCII revision graph
 failed